import { render, screen } from '@testing-library/react'
import ProfileTypeView from 'components/ProfileType/ProfileTypeView'
import React from 'react'
import { Provider } from 'react-redux'
import { createMockEcolyoStore } from 'tests/__mocks__/store'

jest.mock('components/Header/CozyBar', () => 'mock-cozybar')
jest.mock('components/Header/Header', () => 'mock-header')
jest.mock('components/Content/Content', () => 'mock-content')

describe('ProfileTypeView component', () => {
  const store = createMockEcolyoStore()

  it('should be rendered correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <ProfileTypeView />
      </Provider>
    )
    expect(
      container.getElementsByTagName('mock-cozybar')[0]
    ).toBeInTheDocument()
    expect(container.getElementsByTagName('mock-header')[0]).toBeInTheDocument()
    expect(
      container.getElementsByTagName('mock-content')[0]
    ).toBeInTheDocument()
    expect(
      container.getElementsByClassName('profile-type-container')[0]
    ).toBeInTheDocument()
  })

  it('should not be able to click previous on the first step', () => {
    render(
      <Provider store={store}>
        <ProfileTypeView />
      </Provider>
    )
    const [prev] = screen.getAllByRole('button')
    expect(prev).toBeDisabled()
  })
})
