/* eslint-disable camelcase */
export interface Account extends AccountAttributes {
  _id: string
  id?: string
  _rev?: string
  _type?: string
  cozyMetadata?: Record<string, any>
}
export interface SgeAccountData {
  consentId: number
  expirationDate: string
  offPeakHours?: string
}

export interface AccountAttributes {
  account_type: string
  auth?: AccountAuthData | AccountSgeData
  oauth?: AccountOAuthData
  identifier?: string
  state?: string | null
  name?: string
  data?: SgeAccountData
  oauth_callback_results?: Record<string, any>
}

export interface AccountAuthData {
  login: string
  credentials_encrypted?: string
  password?: string
}

export interface AccountOAuthData {
  access_token: string
  refresh_token: string
  expires_at?: string
  token_type?: string
}

export interface AccountSgeData {
  pointId: string
  address: string
  firstname: string
  lastname: string
  postalCode: string
  city: string
}
