import { ReactComponentElement } from 'react'

/* eslint-disable @typescript-eslint/no-explicit-any */
declare module 'cozy-bar' {
  type TcozyBarInitOpts = {
    appName: string
    appNamePrefix: string
    appSlug?: string
    lang: string
    iconPath: string
    isInvertedTheme: string
    cozyClient: Client
    cozyURL?: string
    ssl?: boolean
    token?: string
    replaceTitleOnMobile: boolean
    isPublic?: boolean
    onLogOut?: () => any
  }

  declare global {
    const cozy: {
      bar: {
        BarCenter: (children: ReactComponentElement) => any
        BarLeft: (children: ReactComponentElement) => any
        BarRight: (children: ReactComponentElement) => any
        init: (opt: TcozyBarInitOpts) => any
        setBarCenter: (e: string) => any
        setBarLeft: (e: string) => any
        setBarRight: (e: string) => any
        setLocale: (e: any) => any
        setTheme: (theme: string, opts?: any) => any
        updateAccessToken: (e: any) => any
      }
    }
  }
}
